function count = h_count_hrtfs(elevs, sym_flag)
% count = h_count_hrtfs(elevs, sym_flag)
%
% Count the number of HRTFS in a dataset,
% accounting for symmetry.
%
% elevs		elevation matrix, 2 x num_elevs
%				row 1 contains elevation angles
%				row 2 contains number azimuths at corresponding elev
% sym_flag	true if symmetric data
%
[nr,n_elevs] = size(elevs);
count = 0;
for i = 1 : n_elevs
	count = count + h_naz(elevs(2,i), sym_flag);
end
