function y = lag_delay(x,delay)
%
% y = lag_delay(x,delay)
%
% Fractional delay of x by delay samples using third order
% Lagrangian interpolation. NOTE: length(y) = length(x).
%
% Bill Gardner
%
n = length(x);
d = floor(delay);
D = delay - d;

if (d < 0)
	x = x(1-d:length(x));
else
	x = [zeros(1,d) x];
end

y = [x 0 0 0] * (1-D)*(D-2)*(D-3)/6 + [0 x 0 0] * D*(D-2)*(D-3)/2 + ...
	[0 0 x 0] * D*(1-D)*(D-3)/2 + [0 0 0 x] * D*(D-1)*D*(D-2)/6;

y = crop(y,n);
