function h = plotmaglogf(x,plotarg,fs,n)
% plotmaglogf(x[,plotarg,fs,n])
% Plot spectrum magnitude using log freq axis

if (nargin < 4)
	n = max(size(x));
end
if (nargin < 3)
	fs = 44100;
end
if (nargin < 2)
	plotarg = 'r';
end
fx = fft(x,n);
freq = (0 : floor(n/2)) * fs / n;
h = semilogx(freq,20*log10(abs(fx(1:(floor(n/2) + 1)))),plotarg);
grid on
title('magnitude');
ylabel('dB');
xlabel('freq, Hz');

